Ruby: pm_local_variable_operator_write_node Struct Reference

Ruby 3.4.6p54 (2025-09-16 revision dbd83256b1cec76c69756ecb8758b9e1079833de)

Data Fields
pm_local_variable_operator_write_node Struct Reference

LocalVariableOperatorWriteNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
pm_location_t | name_loc
| LocalVariableOperatorWriteNode#name_loc.
pm_location_t | binary_operator_loc
| LocalVariableOperatorWriteNode#binary_operator_loc.
struct pm_node * | value
| LocalVariableOperatorWriteNode#value.
pm_constant_id_t | name
| LocalVariableOperatorWriteNode#name.
pm_constant_id_t | binary_operator
| LocalVariableOperatorWriteNode#binary_operator.
uint32_t | depth
| LocalVariableOperatorWriteNode#depth.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
uint32_t | node_id
| The unique identifier for this node, which is deterministic based on the source.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

LocalVariableOperatorWriteNode.

Represents assigning to a local variable using an operator that isn't =.

    target += value
    ^^^^^^^^^^^^^^^

Type: ::PM_LOCAL_VARIABLE_OPERATOR_WRITE_NODE

Definition at line 5622 of file ast.h.

## Field Documentation

## ◆ base

pm_node_t pm_local_variable_operator_write_node::base

The embedded base node.

Definition at line 5624 of file ast.h.

Referenced by pm_dump_json().

## ◆ binary_operator

pm_constant_id_t pm_local_variable_operator_write_node::binary_operator

LocalVariableOperatorWriteNode#binary_operator.

Definition at line 5650 of file ast.h.

Referenced by pm_dump_json().

## ◆ binary_operator_loc

pm_location_t pm_local_variable_operator_write_node::binary_operator_loc

LocalVariableOperatorWriteNode#binary_operator_loc.

Definition at line 5635 of file ast.h.

Referenced by pm_dump_json().

## ◆ depth

uint32_t pm_local_variable_operator_write_node::depth

LocalVariableOperatorWriteNode#depth.

Definition at line 5655 of file ast.h.

Referenced by pm_dump_json().

## ◆ name

pm_constant_id_t pm_local_variable_operator_write_node::name

LocalVariableOperatorWriteNode#name.

Definition at line 5645 of file ast.h.

Referenced by pm_dump_json().

## ◆ name_loc

pm_location_t pm_local_variable_operator_write_node::name_loc

LocalVariableOperatorWriteNode#name_loc.

Definition at line 5630 of file ast.h.

Referenced by pm_dump_json().

## ◆ value

struct pm_node* pm_local_variable_operator_write_node::value

LocalVariableOperatorWriteNode#value.

Definition at line 5640 of file ast.h.

Referenced by pm_dump_json(), pm_node_destroy(), and pm_visit_child_nodes().

The documentation for this struct was generated from the following file:

- prism/ast.h